%define	name	gtkglext
%define	version	1.2.0
%define	release	%mkrel 4

%define	major	0
%define	api_version 1.0

%define	libname %mklibname %{name}-%{api_version}_ %{major}
%define	libnamedev %mklibname %{name} -d

Summary:	OpenGL extension to GTK 2.0 or later
Name:		%{name}
Version:	%{version}
Release: 	%{release}
License:	LGPL
Group:		System/Libraries
Source0:	http://prdownloads.sourceforge.net/gtkglext/%{name}-%{version}.tar.xz
Patch0:		gtkglext-support-pango.diff
Patch1:		gtkglext-1.2.0-newer-gtk.patch
Patch2:		gtkglext-1.2.0-pangox.patch
Patch3:		gtkglext-1.2.0-automake-1.13.patch
URL:		http://gtkglext.sourceforge.net/
#-----------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}mesagl1-devel
BuildRequires: %{_lib}mesaglu1-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}pangox-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xmu-devel
#-----------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GtkGLExt is an OpenGL extension to GTK 2.0 or later.
GtkGLExt provides the GDK objects to support OpenGL rendering in GTK,
and GtkWidget API add-ons to make GTK+ widgets OpenGL-capable.
As opposed to Jane Loff's GtkGLArea , it does not provide any OpenGL widget,
but an interface to use OpenGL on *ANY* GTK+ widget. 

%package -n	%{libname}
Summary:	OpenGL extension to GTK 2.0 or later
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{name}

%description -n	%{libname}
GtkGLExt is an OpenGL extension to GTK 2.0 or later.
GtkGLExt provides the GDK objects to support OpenGL rendering in GTK,
and GtkWidget API add-ons to make GTK+ widgets OpenGL-capable.
As opposed to Jane Loff's GtkGLArea , it does not provide any OpenGL widget,
but an interface to use OpenGL on *ANY* GTK+ widget. 

%package -n	%{libnamedev}
Summary:	OpenGL extension to GTK 2.0 or later
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes:	%{name}-devel
Obsoletes:	%{_lib}gtkglext-1.0_0-devel < %{version}-%{release}

%description -n %{libnamedev}
Libraries and includes files you can use for GtkGLExt development.

%prep
%setup -q

%patch0 -p0
%patch1 -p1 -b .gtk
%patch2 -p0
%patch3 -p1 -b .automake-1_13

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %buildroot%_libdir/*.la

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*-%{api_version}.so.%{major}
%{_libdir}/lib*-%{api_version}.so.%{major}.*

%files -n %{libnamedev}
%defattr(-,root,root)
%doc AUTHORS ChangeLog TODO README
%doc %{_datadir}/gtk-doc/html/gtkglext
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/%{name}*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4


%changelog
* Fri Feb 06 2014 bb <bb> 1.2.0-4pclos2014
- update for new pango and pango-x

* Sun Dec 04 2011 Texstar <texstar at gmail.com> 1.2.0-3pclos2011
- fix
